<?php
/*
 * Plugin Name: PicLens
 * Version: 0.0.1.0
 * Description: Piclens activation
 * Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=204
 * Author: Nicolas Ledez
 * Author URI: http://nicolas.ledez.free.fr/
 * */

add_event_handler('loc_end_page_header', 'piclens_link' );

// Add Piclens CSS & Javascript in HEAD section
function piclens_link()
{
    global $template, $page;

	// Add only if we are in category page
    if(!empty($page['category']['id'])) {
		// We need absolute path
        set_make_full_url();

		// Fill templates with piclens files
        $template->assign_block_vars(
            'head_element',
            array(
                'CONTENT' => '<link rel="alternate" type="application/rss+xml" title="" id="gallery"'
				. ' href="'.$page['root_path'].PHPWG_PLUGINS_PATH.'piclens/piclens-rss.php?/category/'
				. $page['category']['id'] . '">'
                . "\n"
                . '<script type="text/javascript" src="http://lite.piclens.com/current/piclens.js"></script>'
                ,
            )
        );
    }
}

add_event_handler('loc_end_index', 'add_piclens_icon');

// Add piclens Flash slideshow to toolbar
// Thanks to P@t
function add_piclens_icon()
{
    global $template, $page;

    $tpl_code = '<li><a href="javascript:PicLensLite.start();" title="Afficher un diaporama simple"><img src="'.$page['root_path'].PHPWG_PLUGINS_PATH.'piclens/piclens-icon.png" class="button" alt="Afficher un diaporama simple" width="24" height="24"></a></li>';

    $template->concat_var('PLUGIN_INDEX_ACTIONS', $tpl_code);
}

add_event_handler('loc_begin_index', 'set_make_full_url_piclens');

// Add piclens pics to start slideshow
// Another thanks to P@t
function set_make_full_url_piclens()
{
	set_make_full_url();
}
?>
